Skip to main content
GET
/
robots
/
{robotId}
/
maps
/
current
Retrieves the robot's current map metadata
curl --request GET \
  --url https://api.inorbit.ai/robots/{robotId}/maps/current \
  --header 'x-auth-inorbit-app-key: <api-key>'
[
  {
    "robotId": "<string>",
    "mapId": "<string>",
    "frameId": "<string>",
    "label": "<string>",
    "width": 123,
    "height": 123,
    "resolution": 123,
    "x": 123,
    "y": 123,
    "dataHash": "<string>",
    "formatVersion": 123,
    "updatedTs": 123
  }
]

Documentation Index

Fetch the complete documentation index at: https://inorbitinc.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-auth-inorbit-app-key
string
header
required

InOrbit appKey authenticates API requests using a token.

You can obtain your appKey in the Authentication docs.

Path Parameters

robotId
string
required

The robot's id

Response

The current map's metadata, in JSON format.

robotId
string

Unique robot ID

mapId
string

Map ID (unique only within robot)

frameId
string

Frame ID (unique only within robot)

label
string

Map label (usually corresponds to ROS topic)

width
integer

Map width, in pixels

height
integer

Map height, in pixels

resolution
number

Map resolution

x
number

Map origin, X

y
number

Map origin, Y

dataHash
string

Internal data hash. Can be safely used to determine if map has been modified.

formatVersion
number

Map format version. If not provided, it defaults to 1. This field is used to determine the way the map is displayed. Version 2 displays the map as uploaded, while version 1 mirrors the image vertically before displaying it.

updatedTs
number

Latest modification timestamp (unix epoch millis)